EsriGraphic (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.shape
Interface EsriGraphic

All Superinterfaces:
  ShapeConstants

All Known Implementing Classes:
  EsriGraphicList, EsriIconPoint, EsriPoint, EsriPointList, EsriPolygon, EsriPolygonList, EsriPolygonM, EsriPolygonMList, EsriPolygonZ, EsriPolygonZList, EsriPolyline, EsriPolylineList, EsriPolylineM, EsriPolylineMList, EsriPolylineZ, EsriPolylineZList, EsriTextPoint

    public interface EsriGraphic

extends ShapeConstants

An interface to typecast OMGraphics.

Author:
  Doug Van Auken

Field Summary

Fields inherited from interface com.bbn.openmap.dataAccess.shape.ShapeConstants
`DBF_ATTRIBUTE, DBF_AUTOINCREMENT, DBF_BINARY, DBF_CHARACTER, DBF_DATE, DBF_DOUBLE, DBF_FLOAT, DBF_LOGICAL, DBF_LONG, DBF_MEMO, DBF_NUMERIC, DBF_OLE, DBF_TIMESTAMP, DBF_TYPE_AUTOINCREMENT, DBF_TYPE_BINARY, DBF_TYPE_CHARACTER, DBF_TYPE_DATE, DBF_TYPE_DOUBLE, DBF_TYPE_FLOAT, DBF_TYPE_LOGICAL, DBF_TYPE_LONG, DBF_TYPE_MEMO, DBF_TYPE_NUMERIC, DBF_TYPE_OLE, DBF_TYPE_TIMESTAMP, PARAM_DBF, PARAM_SHP, PARAM_SHX, SHAPE_BOUNDS_ATTRIBUTE, SHAPE_DBF_DASHPATTERN, SHAPE_DBF_DASHPHASE, SHAPE_DBF_DESCRIPTION, SHAPE_DBF_FILLCOLOR, SHAPE_DBF_INFO_ATTRIBUTE, SHAPE_DBF_LINECOLOR, SHAPE_DBF_LINEWIDTH, SHAPE_DBF_SELECTCOLOR, SHAPE_FILE_HEADER_LENGTH, SHAPE_FILE_RECORD_HEADER_LENGTH, SHAPE_INDEX_ATTRIBUTE, SHAPE_MAX_MEASURE_ATTRIBUTE, SHAPE_MAX_Z_ATTRIBUTE, SHAPE_MEASURE_ATTRIBUTE, SHAPE_MIN_MEASURE_ATTRIBUTE, SHAPE_MIN_Z_ATTRIBUTE, SHAPE_TYPE_ARC, SHAPE_TYPE_MULTIPATCH, SHAPE_TYPE_MULTIPOINT, SHAPE_TYPE_MULTIPOINTM, SHAPE_TYPE_MULTIPOINTZ, SHAPE_TYPE_NULL, SHAPE_TYPE_POINT, SHAPE_TYPE_POINTM, SHAPE_TYPE_POINTZ, SHAPE_TYPE_POLYGON, SHAPE_TYPE_POLYGONM, SHAPE_TYPE_POLYGONZ, SHAPE_TYPE_POLYLINE, SHAPE_TYPE_POLYLINEM, SHAPE_TYPE_POLYLINEZ, SHAPE_Z_ATTRIBUTE`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.Object key)` EsriGraphics can hold attributes.
`double[]` | `getExtents()` The lat/lon extent of the EsriGraphic, returned as miny, minx, maxy maxx in order of the array.
`int` | `getType()` Get the graphic type in ESRI type number form
`void` | `putAttribute(java.lang.Object key, java.lang.Object value)` EsriGraphics can hold attributes.
`void` | `setExtents(double[] extents)` The lat/lon extent of the EsriGraphic, assumed to contain miny, minx, maxy maxx in order of the array.
`void` | `setType(int type)` Set the type for the EsriGraphic.
`EsriGraphic` | `shallowCopy()` Shallow copy this graphic.

Method Detail

### setExtents

    void setExtents(double[] extents)

  The lat/lon extent of the EsriGraphic, assumed to contain miny, minx, maxy maxx in order of the array.

### getExtents

    double[] getExtents()

  The lat/lon extent of the EsriGraphic, returned as miny, minx, maxy maxx in order of the array.

### shallowCopy

    EsriGraphic shallowCopy()

  Shallow copy this graphic. The contract is that the cloned object should be capable of being placed on a different layer.

### putAttribute

    void putAttribute(java.lang.Object key,
                      java.lang.Object value)

  EsriGraphics can hold attributes.

  Parameters:
    `key` - the key to use for an attribute
    `value` - the attribute value

### getAttribute

    java.lang.Object getAttribute(java.lang.Object key)

  EsriGraphics can hold attributes.

  Parameters:
    `key` - the key to use for an attribute return the attribute value, null if the attribute doesn't exist.

### setType

    void setType(int type)

  Set the type for the EsriGraphic.

  Parameters:
    `type` -

### getType

    int getType()

  Get the graphic type in ESRI type number form

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details